# Generated by Django 3.2.19 on 2023-06-26 14:47

from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='ClusterResourses',
            fields=[
                ('id', models.CharField(default=uuid.uuid4, editable=False, help_text='The id of the VM and cluster specs', max_length=42, primary_key=True, serialize=False, unique=True)),
                ('vm_name', models.CharField(help_text='The name of the VM that will be deployed', max_length=42)),
                ('config_file', models.FileField(help_text='The Kubernetes configuration file that will be stored', upload_to='uploads/')),
                ('cpus', models.IntegerField(blank=True, help_text='The number of vCPUs of the VM', null=True)),
                ('memory', models.IntegerField(blank=True, help_text='The RAM of the VM in GB', null=True)),
                ('storage', models.IntegerField(blank=True, help_text='The disk storage of the VM in GB', null=True)),
                ('endpoint', models.URLField(blank=True, help_text='The endpoint of the Kubernetes cluster')),
            ],
        ),
        migrations.CreateModel(
            name='Handler',
            fields=[
                ('link_id', models.CharField(db_index=True, editable=False, max_length=255, primary_key=True, serialize=False)),
                ('ipfs_link', models.CharField(max_length=255)),
                ('id', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='handler', to='app.clusterresourses')),
            ],
        ),
    ]
